# My dotfiles

[![LICENSE](https://img.shields.io/badge/license-MIT--0-blue.svg)](LICENSE "MIT No Attribution")

Managed via [dotfiles.sh](https://github.com/eli-schwartz/dotfiles.sh)

## [Arch](https://www.archlinux.org/)

* [.local/arch/init.sh](.local/arch/init.sh): initial setup script
* [.local/arch/packages.repo.txt](.local/arch/packages.repo.txt): repo package list
* [.local/arch/packages.aur.txt](.local/arch/packages.aur.txt): AUR package list

## [Aria2](https://aria2.github.io/)

* [.aria2/aria2.conf](.aria2/aria2.conf): configuration file
* [.aria2/notif.sh](.aria2/notif.sh): `on-bt-download-complete` hook

## [Bash](https://www.gnu.org/software/bash/)

* [.bash\_aliases](.bash_aliases): contains various aliases
* [.bash\_funcs](.bash_funcs): contains various functions
* [.bash\_profile](.bash_profile): login shell configuration file
* [.bashrc](.bashrc): interactive shell configuration file

## [Clang](https://clang.llvm.org/)

* [.clang-format](.clang-format): configuration file for `clang-format`
* [.clang-tidy](.clang-tidy): configuration file for `clang-tidy`

## [Coreutils](https://www.gnu.org/software/coreutils/)

* [.dir\_colors](.dir_colors): configuration file for `dircolors`

## [ESLint](https://eslint.org/)

* [.eslintrc.json](.eslintrc.json): configuration file

## [Fontconfig](https://www.freedesktop.org/wiki/Software/fontconfig/)

* [.config/fontconfig/fonts.conf](.config/fontconfig/fonts.conf): configuration file

## [Htop](https://hisham.hm/htop/)

* [.config/htop/htoprc](.config/htop/htoprc): configuration file

## [HTMLHint](https://github.com/htmlhint/HTMLHint)

* [.htmlhintrc.json](.htmlhintrc.json): configuration file

## [Git](https://git-scm.com/)

* [.gitconfig](.gitconfig): configuration file

## [GnuPG](https://gnupg.org/)

* [.gnupg/gpg.conf](.gnupg/gpg.conf): configuration file

## [KDE Plasma](https://kde.org/plasma-desktop)

* [.config/plasma-localerc](.config/plasma-localerc): locale settings

## [Konsole](https://konsole.kde.org/)

* [.config/konsolerc](.config/konsolerc): configuration file
* [.local/share/konsole/Default.profile](.local/share/konsole/Default.profile): default profile
* [.local/share/konsole/NvimTerm.profile](.local/share/konsole/NvimTerm.profile): `nvim +term` profile
* [.local/share/konsole/Gruvbox8.colorscheme](.local/share/konsole/Gruvbox8.colorscheme): `Gruvbox8` colorscheme

## [Mpv](https://mpv.io/)

* [.config/mpv/input.conf](.config/mpv/input.conf): keybindings
* [.config/mpv/mpv.conf](.config/mpv/mpv.conf): configuration file

## [Neovim](https://neovim.io/)

> [In another repo](https://github.com/ObserverOfTime/dotnvim)

## [Newsboat](https://newsboat.org/)

* [.newsboat/config](.newsboat/config): configuration file
* [.newsboat/notif.sh](.newsboat/notif.sh): notification wrapper

## [Pip](https://pypi.org/project/pip/)

* [.config/pip/pip.conf](.config/pip/pip.conf): configuration file
* [.config/pip/requirements.txt](.config/pip/requirements.txt): package list

## [Pycodestyle](http://pycodestyle.pycqa.org/en/latest/)

* [.config/pycodestyle](.config/pycodestyle): configuration file

## [Qutebrowser](https://www.qutebrowser.org/)

* [.config/qutebrowser/config.py](.config/qutebrowser/config.py): configuration file

## [Pug-lint](https://github.com/pugjs/pug-lint)

* [.pug-lintrc.json](.pug-lintrc.json): configuration file

## [Ruby](https://www.ruby-lang.org/en/)

* [.local/ruby/Gemfile](.local/ruby/Gemfile): package list

## [Stylelint](https://stylelint.io/)

* [.stylelintrc.json](.stylelintrc.json): configuration file

## [Vifm](https://vifm.info/)

* [.vifm/vifmrc](.vifm/vifmrc): configuration file

## [X.Org](https://www.x.org/wiki/)

* [.XCompose](.XCompose): X client character mappings

## [Yarn](https://yarnpkg.com/lang/en/)

* [.config/yarn/global/package.json](.config/yarn/global/package.json): package list

## [Yay](https://github.com/Jguer/yay)

* [.config/yay/config.json](.config/yay/config.json): configuration file

## [Youtube-dl](https://ytdl-org.github.io/youtube-dl/)

* [.config/youtube-dl/config](.config/youtube-dl/config): configuration file

